Name:    opentoonz
Version: 1.5.0
Release: 1%{?dist}
Summary: 2D animation software

License: BSD
URL:     https://opentoonz.github.io/
Source0: https://github.com/opentoonz/opentoonz/archive/refs/tags/v1.5.0.tar.gz
Patch0: opentoonz-1.5.0-install-path-fix.patch
Patch1: opentoonz-1.5.0-kissfft-fix.patch
Patch2: opentoonz-1.5.0-lzo-fix.patch
# https://github.com/opentoonz/opentoonz/issues/4199
Patch3: opentoonz-1.5.0-tiff-fix.patch
# https://github.com/opentoonz/opentoonz/pull/4239
Patch4: opentoonz-1.5.0-gethostbyname.patch

BuildRequires: cmake gcc gcc-c++ qt5-qtbase-devel qt5-qtsvg-devel
BuildRequires: qt5-qtscript-devel qt5-qttools-devel qt5-qtmultimedia-devel
BuildRequires: qt5-qtserialport-devel opencv-devel libtiff-devel libpng-devel
BuildRequires: glew-devel SuperLU-devel libjpeg-turbo-devel turbojpeg-devel
BuildRequires: lz4-devel xz-devel lzo-devel libusb-devel freetype-devel
BuildRequires: boost-devel blas-devel libmypaint-devel freeglut-devel
BuildRequires: kiss-fft-devel desktop-file-utils

Requires: opencv hicolor-icon-theme
Requires: %{name}-data = %{version}-%{release}

%description
OpenToonz is a 2D animation software published by DWANGO. It is based on 
Toonz Studio Ghibli Version, originally developed in Italy by 
Digital Video, Inc., and customized by Studio Ghibli over many years of 
production.


%package data
Summary: OpenToonz data files
BuildArch: noarch

%description data
Data files for the OpenToonz application.


%package doc
Summary: OpenToonz doc files

%description doc
Documentation about the OpenToonz application.


%prep
%autosetup -p1

# Remove all thirdparty libraries
rm -rf thirdparty
find stuff/doc/LICENSE/ -type f -not -name 'LICENSE.txt' -delete


%build
%cmake \
    -DWITH_SYSTEM_LZO:BOOL=ON \
    -DCMAKE_SKIP_RPATH:BOOL=YES \
    toonz/sources
cd redhat-linux-build
%make_build


%install
cd redhat-linux-build
%make_install
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/metainfo
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/%{name}/*.so
desktop-file-install \
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
    --delete-original \
    ${RPM_BUILD_ROOT}%{_datadir}/applications/io.github.OpenToonz.desktop


%files
%license LICENSE.txt
%{_bindir}/OpenToonz
%{_bindir}/opentoonz
%{_bindir}/tcleanup
%{_bindir}/tcomposer
%{_bindir}/tconverter
%{_bindir}/tfarmcontroller
%{_bindir}/tfarmserver
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/*.so
%{_datadir}/applications/io.github.OpenToonz.desktop
%{_datadir}/icons/hicolor/256x256/apps/io.github.OpenToonz.png


%files data
%license LICENSE.txt
%{_datadir}/%{name}/


%files doc
%doc doc/*.md
%doc doc/*.JPG


%changelog
* Wed Feb 2 2022 Diego Herrera <dherrera@redhat.com> 1.5.0-1
- First commit
